FullWrtTextInternal::Item Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
FullWrtTextInternal::Item Struct Reference

Internal: class to store an item state. More...

## Public Types
enum | Type { Father =0, Child, Next, Prev, Main }
| the different type of id More...

## Public Member Functions
| Item ()
| constructor More...
std::string | label () const
| return a value which can be used to represent the label(changme) More...

## Public Attributes
int | m_level
| the level More...
int | m_index
| the actual index More...
bool | m_collapsed
| true if the item is hidden More...
bool | m_hidden
| true if the item is hidden More...
std::vector< int > | m_childList
| the list of childlist More...
shared_ptr< Zone > | m_hiddenZone
| the hidden item zone More...
int | m_structId [5]
| the item id in text struct zone ( father, child, next, prev, main ) More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Item const &it)
| operator<< More...

## Detailed Description

Internal: class to store an item state.

## Member Enumeration Documentation

enum FullWrtTextInternal::Item::Type

the different type of id

Enumerator
Father |
Child |
Next |
Prev |
Main |

## Constructor & Destructor Documentation

FullWrtTextInternal::Item::Item | ( |  | ) |
| inline

constructor

## Member Function Documentation

std::string FullWrtTextInternal::Item::label | ( |  | ) | const
| inline

return a value which can be used to represent the label(changme)

Referenced by FullWrtText::send().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Item const & | it
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<int> FullWrtTextInternal::Item::m_childList

the list of childlist

Referenced by FullWrtText::createItemStructures(), FullWrtText::send(), and FullWrtText::sendHiddenItem().

bool FullWrtTextInternal::Item::m_collapsed

true if the item is hidden

Referenced by FullWrtText::createItemStructures(), and FullWrtText::send().

std::string FullWrtTextInternal::Item::m_extra

extra data

Referenced by FullWrtText::readItem().

bool FullWrtTextInternal::Item::m_hidden

true if the item is hidden

Referenced by FullWrtText::createItemStructures(), FullWrtText::readItem(), and FullWrtText::sendHiddenItem().

shared_ptr<Zone> FullWrtTextInternal::Item::m_hiddenZone

the hidden item zone

Referenced by FullWrtText::readItem(), and FullWrtText::sendHiddenItem().

int FullWrtTextInternal::Item::m_index

the actual index

Referenced by label(), and FullWrtText::readItem().

int FullWrtTextInternal::Item::m_level

the level

Referenced by label(), and FullWrtText::readItem().

int FullWrtTextInternal::Item::m_structId[5]

the item id in text struct zone ( father, child, next, prev, main )

Referenced by FullWrtText::createItemStructures(), Item(), and FullWrtText::readItem().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx